Index: pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp
===================================================================
--- pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp	(revision 1062)
+++ pjproject/trunk/pjlib/build/wince-evc4/pjlib_wince.vcp	(revision 1111)
@@ -397,4 +397,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -807,4 +808,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -1700,4 +1702,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -2074,4 +2077,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -2691,4 +2695,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -3321,4 +3326,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -3689,4 +3695,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -4075,4 +4082,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -4499,4 +4507,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -4891,294 +4900,9 @@
 # Begin Source File
 
-SOURCE=..\..\src\pj\list.c
+SOURCE=..\..\src\pj\ip_helper_win32.c
 
 !IF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Release"
 
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Debug"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_auto.h"\
-	"..\..\include\pj\compat\os_auto.h"\
-	"..\..\include\pj\compat\os_darwinos.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_rtems.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\config_site_sample.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Release"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Debug"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Release"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_armv4.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Debug"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LIST_=\
-	"..\..\include\pj\compat\m_arm.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
-
-DEP_CPP_LIST_=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_armv4.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_powerpc.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\m_x86_64.h"\
-	"..\..\include\pj\compat\os_darwinos.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_rtems.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ENDIF 
-
-# End Source File
-# Begin Source File
-
-SOURCE=..\..\src\pj\lock.c
-
-!IF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Release"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Debug"
-
-DEP_CPP_LOCK_=\
+DEP_CPP_IP_HE=\
 	"..\..\include\pj\addr_resolv.h"\
 	"..\..\include\pj\array.h"\
@@ -5215,4 +4939,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
@@ -5234,359 +4959,12 @@
 	"..\..\include\pj\unicode.h"\
 	"..\..\include\pjlib.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Release"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4I) Debug"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Release"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_armv4.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4) Debug"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\m_arm.h"\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Release"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE ARMV4T) Debug"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Release"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOCK_=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
-	
-
-!ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE x86) Debug"
-
-DEP_CPP_LOCK_=\
-	"..\..\include\pj\assert.h"\
-	"..\..\include\pj\compat\assert.h"\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\errno.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_armv4.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_powerpc.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\m_x86_64.h"\
-	"..\..\include\pj\compat\os_darwinos.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_rtems.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\errno.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\lock.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_alt.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-
-!ENDIF 
-
-# End Source File
-# Begin Source File
-
-SOURCE=..\..\src\pj\log.c
-
-!IF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Release"
-
-DEP_CPP_LOG_C=\
-	"..\..\include\pj\compat\cc_gcc.h"\
-	"..\..\include\pj\compat\cc_msvc.h"\
-	"..\..\include\pj\compat\m_alpha.h"\
-	"..\..\include\pj\compat\m_i386.h"\
-	"..\..\include\pj\compat\m_m68k.h"\
-	"..\..\include\pj\compat\m_sparc.h"\
-	"..\..\include\pj\compat\os_linux.h"\
-	"..\..\include\pj\compat\os_linux_kernel.h"\
-	"..\..\include\pj\compat\os_palmos.h"\
-	"..\..\include\pj\compat\os_sunos.h"\
-	"..\..\include\pj\compat\os_win32.h"\
-	"..\..\include\pj\compat\os_win32_wince.h"\
-	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\stdarg.h"\
-	"..\..\include\pj\compat\string.h"\
-	"..\..\include\pj\config.h"\
-	"..\..\include\pj\config_site.h"\
-	"..\..\include\pj\list.h"\
-	"..\..\include\pj\list_i.h"\
-	"..\..\include\pj\log.h"\
-	"..\..\include\pj\os.h"\
-	"..\..\include\pj\pool.h"\
-	"..\..\include\pj\pool_i.h"\
-	"..\..\include\pj\string.h"\
-	"..\..\include\pj\string_i.h"\
-	"..\..\include\pj\types.h"\
-	
-NODEP_CPP_LOG_C=\
-	"..\..\include\pj\compat\sprintf.h"\
-	"..\..\include\pj\compat\vsprintf.h"\
+	{$(INCLUDE)}"ipexport.h"\
+	{$(INCLUDE)}"Iphlpapi.h"\
+	{$(INCLUDE)}"iptypes.h"\
 	
 
 !ELSEIF  "$(CFG)" == "pjlib_wince - Win32 (WCE emulator) Debug"
 
-DEP_CPP_LOG_C=\
+DEP_CPP_IP_HE=\
 	"..\..\include\pj\addr_resolv.h"\
 	"..\..\include\pj\array.h"\
@@ -5610,5 +4988,4 @@
 	"..\..\include\pj\compat\setjmp.h"\
 	"..\..\include\pj\compat\size_t.h"\
-	"..\..\include\pj\compat\stdarg.h"\
 	"..\..\include\pj\compat\string.h"\
 	"..\..\include\pj\config.h"\
@@ -5624,4 +5001,5 @@
 	"..\..\include\pj\hash.h"\
 	"..\..\include\pj\ioqueue.h"\
+	"..\..\include\pj\ip_helper.h"\
 	"..\..\include\pj\list.h"\
 	"..\..\include\pj\list_i.h"\
